Subject: Re: [PATCH v4 11/16] am -3: use merge_recursive() directly again

From: Junio C Hamano <[email-masked]>
Date: Mon, 25 Jul 2016 15:19:59 -0700

Johannes Schindelin <[email-masked]> writes:

> Note: the code now calls merge_recursive_generic() again. Unlike
> merge_trees() and merge_recursive(), this function returns 0 upon success,
> as most of Git's functions. Therefore, the error value -1 naturally is
> handled correctly, and we do not have to take care of it specifically.

I've finished reading through up to this point and I'd stop for
now.

Some of the patches I didn't look beyond the context presented in
the patches, so it is very possible that I missed leaks caused by
early returns and things like that, but I didn't see anything
glaringly wrong.  Looks very promising.

Thanks.